# pict-rs 0.5.10

## Overview

pict-rs 0.5.10 is a small release with changes to how pict-rs handles temporary files.

### Changes

- [Temporary File Cleanup](#temporary-file-cleanup)


## Upgrade Notes

There are no significant changes from 0.5.9. Upgrading should be as simple as pulling the new
version.


## Descriptions

### Temporary File Cleanup

pict-rs now nests its temporary files inside a `pict-rs` toplevel temporary folder. This is useful
because pict-rs 0.5.10 introduces a new behavior: it will completely delete that folder and its
contents on launch. If you are running multiple copies of pict-rs on the same host and they share
your temporary folder, this might cause problems. In that scenario, this behavior can be disabled by
setting `PICTRS__SERVER__CLEANUP_TEMPORARY_DIRECTORY=false` or passing
`--no-cleanup-temporary-directory` on the commandline.

This new behavior has been introduced in order to better clean up after crashes. If pict-rs is
killed while processing media, maybe due to an OOM, it will leave files behind in the temporary
directory. This can cause the temporary directory to grow, leading to memory or disk problems.
